> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Purchase Order: Entrata

POST https://api.propexo.com/v1/purchase-orders/entrata/
Content-Type: application/json

Create Purchase Order: Entrata| Method                     |
| -------------------------- |
| vendors/sendPurchaseOrders |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/entrata/purchase-orders/create-purchase-order-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_purchase-orders_entrata__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `vendor_location_id` (string, required) — The Propexo unique identifier for the vendor location
- `property_id` (string, required) — The Propexo unique identifier for the property
- `post_date` (V1PurchaseOrdersEntrataPostInputPostDate, required) — The post date for the purchase order
- `ap_financial_account_id` (string, optional) — The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
- `description` (string, optional) — Description of the purchase order
- `shipping_amount_in_cents` (integer, optional) — The cost of shipping, in cents, of the purchase order
- `discount_amount_in_cents` (integer, optional) — The discount, in cents, of the purchase order
- `purchase_order_items` (list of V1PurchaseOrdersEntrataPostInputPurchaseOrderItemsItems, optional) — A list of the items associated with the purchase orders

## Response

### 200

Successful response

- `meta` (V1PurchaseOrdersEntrataPostOutputMeta, required)
- `result` (V1PurchaseOrdersEntrataPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PurchaseOrdersEntrataPostInputPostDate

The post date for the purchase order

### V1PurchaseOrdersEntrataPostInputPurchaseOrderItemsItems

- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `description` (string, optional) — Description of the purchase order item
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `quantity_ordered` (double, optional) — The quantity ordered for the purchase order item
- `is_confidential` (boolean, optional) — Whether the purchase order item is confidential or not
- `is_taxable` (boolean, optional) — Whether the purchase order item is taxable or not

### V1PurchaseOrdersEntrataPostOutputMeta

- `job_id` (string, required)

### V1PurchaseOrdersEntrataPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `vendor_location_id` (string, required) — The Propexo unique identifier for the vendor location
- `property_id` (string, required) — The Propexo unique identifier for the property
- `ap_financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
- `post_date` (V1PurchaseOrdersEntrataPostOutputResultPostDate, required, nullable)
- `description` (string, required, nullable) — Description of the purchase order
- `shipping_amount_in_cents` (integer, required, nullable) — The cost of shipping, in cents, of the purchase order
- `discount_amount_in_cents` (integer, required, nullable) — The discount, in cents, of the purchase order
- `purchase_order_items` (list of V1PurchaseOrdersEntrataPostOutputResultPurchaseOrderItemsItems, optional) — A list of the items associated with the purchase orders

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1PurchaseOrdersEntrataPostOutputResultPostDate

### V1PurchaseOrdersEntrataPostOutputResultPurchaseOrderItemsItems

- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `description` (string, optional) — Description of the purchase order item
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `quantity_ordered` (double, optional) — The quantity ordered for the purchase order item
- `is_confidential` (boolean, optional) — Whether the purchase order item is confidential or not
- `is_taxable` (boolean, optional) — Whether the purchase order item is taxable or not

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend-1234567890abcdef",
  "vendor_location_id": "loc-0987654321fedcba",
  "property_id": "prop-1122334455667788",
  "post_date": "2024-01-15T09:30:00Z"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-093000-xyz123"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "vendor_id": "vend-1234567890abcdef",
    "vendor_location_id": "loc-0987654321fedcba",
    "property_id": "prop-1122334455667788",
    "ap_financial_account_id": "finacct-556677889900aabb",
    "post_date": "2024-01-15T09:30:00Z",
    "description": "January office supplies purchase order",
    "shipping_amount_in_cents": 1500,
    "discount_amount_in_cents": 500,
    "purchase_order_items": [
      {
        "property_id": "prop-1122334455667788",
        "financial_account_id": "finacct-9988776655443322",
        "unit_price_in_cents": 1200,
        "description": "Box of printer paper",
        "unit_id": "unit-4455667788990011",
        "quantity_ordered": 10,
        "is_confidential": false,
        "is_taxable": true
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/purchase-orders/entrata/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "vendor_id": "vend-1234567890abcdef",
    "vendor_location_id": "loc-0987654321fedcba",
    "property_id": "prop-1122334455667788",
    "post_date": "2024-01-15T09:30:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/purchase-orders/entrata/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","vendor_id":"vend-1234567890abcdef","vendor_location_id":"loc-0987654321fedcba","property_id":"prop-1122334455667788","post_date":"2024-01-15T09:30:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/purchase-orders/entrata/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend-1234567890abcdef\",\n  \"vendor_location_id\": \"loc-0987654321fedcba\",\n  \"property_id\": \"prop-1122334455667788\",\n  \"post_date\": \"2024-01-15T09:30:00Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/purchase-orders/entrata/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend-1234567890abcdef\",\n  \"vendor_location_id\": \"loc-0987654321fedcba\",\n  \"property_id\": \"prop-1122334455667788\",\n  \"post_date\": \"2024-01-15T09:30:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/purchase-orders/entrata/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend-1234567890abcdef\",\n  \"vendor_location_id\": \"loc-0987654321fedcba\",\n  \"property_id\": \"prop-1122334455667788\",\n  \"post_date\": \"2024-01-15T09:30:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/purchase-orders/entrata/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend-1234567890abcdef",
  "vendor_location_id": "loc-0987654321fedcba",
  "property_id": "prop-1122334455667788",
  "post_date": "2024-01-15T09:30:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/purchase-orders/entrata/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend-1234567890abcdef\",\n  \"vendor_location_id\": \"loc-0987654321fedcba\",\n  \"property_id\": \"prop-1122334455667788\",\n  \"post_date\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend-1234567890abcdef",
  "vendor_location_id": "loc-0987654321fedcba",
  "property_id": "prop-1122334455667788",
  "post_date": "2024-01-15T09:30:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/purchase-orders/entrata/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```